Announcement

Collapse
No announcement yet.

Problem after Upgrade: 3.5.4 to 3.6.4

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problem after Upgrade: 3.5.4 to 3.6.4

    I've tried disabling all of my add-ons, but still get this funky error:

    Database error in vBulletin 3.6.4:

    Invalid SQL:

    ### QUERY STYLES ###
    SELECT * FROM vb_style
    WHERE (styleid = 0)
    OR styleid =
    ORDER BY styleid ASC
    LIMIT 1;

    MySQL Error : You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'ORDER BY styleid ASC
    LIMIT 1' at line 5
    Error Number : 1064
    Date : Monday, December 18th 2006 @ 10:04:01 AM
    Help is appreciated. Thanks

  • #2
    Check with admincp/ > maintenance > diagnostics > suspect file versions > if all the files are unmodified and from 3.6.4

    Comment


    • #3
      I just did that and it listed almost all of my add-ons as "File not recognized as part of vBulletin"

      Do I need to delete/re-upload/upgrade my add-ons?

      Comment


      • #4
        But are the vb files modified and are all expected files found?

        it is ok to have the addons listed as files, as long as vb isn't using them. Do you have your hook system turned off?

        If you use plugins, chances are this is caused by one of the plugins.

        Comment


        • #5
          Where do I turn the hook system off? I disabled all of the add-ons through "Manage Products" (Controls > Disable). Is that the proper way to disable the hook system?

          and to answer your question, yes all expected files were found. the only thing that came up were my add-ons...is that what should come up?

          Thank you

          Comment


          • #6
            Place in includes/config.php: define('DISABLE_HOOKS', true); after the <?php (on a new line)

            If this resolves the issue then it is one of your plugins. Otherwise we will have to look into this (in that case start a new support ticket and link to this thread)

            Comment


            • #7
              Did not work. I will open a ticket. Thanks for your help

              Comment


              • #8
                Feel free to put in subject: for floris, error after upgrade, if you wish i'd handle it.

                Comment


                • #9
                  I figured out the problem. you're right...it's a plug-in...vbPortal

                  the forums work just fine. I need to upgrade my portal now

                  Comment


                  • #10
                    At least you've figured it out. Good luck upgrading and I am glad your forum works again.

                    Comment


                    • #11
                      Thank you Floris

                      Comment

                      widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                      Working...
                      X